# H225_TransportAddress Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_ipAddress, e_ipSourceRoute, e_ipxAddress, e_ip6Address, e_netBios, e_nsap, e_nonStandardAddress }

## Public Member Functions

| H225_TransportAddress (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_TransportAddress_ipAddress & ()
| operator const H225_TransportAddress_ipAddress & () const
| operator H225_TransportAddress_ipSourceRoute & ()
| operator const H225_TransportAddress_ipSourceRoute & () const
| operator H225_TransportAddress_ipxAddress & ()
| operator const H225_TransportAddress_ipxAddress & () const
| operator H225_TransportAddress_ip6Address & ()
| operator const H225_TransportAddress_ip6Address & () const
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_TransportAddress::Choices

Enumerator:

  e_ipAddress |
  e_ipSourceRoute |
  e_ipxAddress |
  e_ip6Address |
  e_netBios |
  e_nsap |
  e_nonStandardAddress |

## Constructor & Destructor Documentation

H225_TransportAddress::H225_TransportAddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_TransportAddress::operator H225_TransportAddress_ipAddress & | ( |  | ) |

H225_TransportAddress::operator const H225_TransportAddress_ipAddress & | ( |  | ) | const

H225_TransportAddress::operator H225_TransportAddress_ipSourceRoute & | ( |  | ) |

H225_TransportAddress::operator const H225_TransportAddress_ipSourceRoute & | ( |  | ) | const

H225_TransportAddress::operator H225_TransportAddress_ipxAddress & | ( |  | ) |

H225_TransportAddress::operator const H225_TransportAddress_ipxAddress & | ( |  | ) | const

H225_TransportAddress::operator H225_TransportAddress_ip6Address & | ( |  | ) |

H225_TransportAddress::operator const H225_TransportAddress_ip6Address & | ( |  | ) | const

H225_TransportAddress::operator H225_NonStandardParameter & | ( |  | ) |

H225_TransportAddress::operator const H225_NonStandardParameter & | ( |  | ) | const

PBoolean H225_TransportAddress::CreateObject | ( |  | ) |

PObject* H225_TransportAddress::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h